Qt version on GDP 10

Leon Anavi leon.anavi at konsulko.com
Wed May 25 04:20:07 EDT 2016


Hi Jeremiah, Steve,

On 25.05.2016 11:03, Jeremiah Foster wrote:
>
>
> On Wed, May 25, 2016 at 1:40 AM, Steve Crumb <scrumb at genivi.org 
> <mailto:scrumb at genivi.org>> wrote:
>
>     My understanding is the Qt 5.7 is where the (L)Gpl v3 licensing
>     begins.  If
>     so, this version is a non-starter due to licensing compliance policy.
>
>
> Which licensing compliance policy? If I'm not mistaken, GENIVI's most 
> recent license policy explicitly allows GPLv3.
>
> In addition, there already is a considerable amount of GPLv3 software 
> included in the GDP, one of our upstreams includes GPLv3 licensed 
> software, so we inherit a lot of GPLv3 software by default.

Earlier this year Lars Knoll published an article explaining in details 
the changes of the licensing starting with Qt 5.7. I believe his article 
could be useful for this discussion:
http://blog.qt.io/blog/2016/01/13/new-agreement-with-the-kde-free-qt-foundation/

Best regards, Leon

>
> Regards,
>
> Jeremiah
>
>
>
> _______________________________________________
> genivi-projects mailing list
> genivi-projects at lists.genivi.org
> https://lists.genivi.org/mailman/listinfo/genivi-projects

-- 
Leon Anavi
Software Engineer
konsulko.com

-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.genivi.org/pipermail/genivi-projects_lists.genivi.org/attachments/20160525/2e0ef29a/attachment.html>


More information about the genivi-projects mailing list